be.fgov.ehealth.dics.protocol.v3

## Class ConsultReimbursementContextType

- java.lang.Object
- - be.fgov.ehealth.dics.core.v3.reimbursement.submit.ReimbursementContextKeyType
  - - be.fgov.ehealth.dics.protocol.v3.ConsultReimbursementContextType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:30:23+02:00",
                 comments="JAXB RI v2.2.11")
      public class ConsultReimbursementContextType
      extends ReimbursementContextKeyType
      implements Serializable

  Java class for ConsultReimbursementContextType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultReimbursementContextType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:core:v3:reimbursement:submit}ReimbursementContextKeyType">
             <sequence>
               <element name="Multiple" type="{urn:be:fgov:ehealth:dics:core:v3:reimbursement:submit}MultipleType" minOccurs="0"/>
               <element name="Temporary" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="Reference" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="FlatRateSystem" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="ReimbursementBasePrice" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
               <element name="ReferenceBasePrice" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
               <element name="PricingRange" type="{urn:be:fgov:ehealth:dics:core:v3:core}RangeType"/>
               <element name="ReimbursementCriterion" type="{urn:be:fgov:ehealth:dics:protocol:v3}ReimbursementCriterionType"/>
               <element name="Copayment" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultCopaymentType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v3}validityPeriod"/>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultReimbursementContextType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ConsultCopaymentType>` | `getCopayments()` Gets the value of the copayments property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `String` | `getMultiple()` Gets the value of the multiple property.
    `RangeType` | `getPricingRange()` Gets the value of the pricingRange property.
    `BigDecimal` | `getReferenceBasePrice()` Gets the value of the referenceBasePrice property.
    `BigDecimal` | `getReimbursementBasePrice()` Gets the value of the reimbursementBasePrice property.
    `ReimbursementCriterionType` | `getReimbursementCriterion()` Gets the value of the reimbursementCriterion property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `boolean` | `isFlatRateSystem()` Gets the value of the flatRateSystem property.
    `boolean` | `isReference()` Gets the value of the reference property.
    `boolean` | `isTemporary()` Gets the value of the temporary property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setFlatRateSystem(boolean value)` Sets the value of the flatRateSystem property.
    `void` | `setMultiple(String value)` Sets the value of the multiple property.
    `void` | `setPricingRange(RangeType value)` Sets the value of the pricingRange property.
    `void` | `setReference(boolean value)` Sets the value of the reference property.
    `void` | `setReferenceBasePrice(BigDecimal value)` Sets the value of the referenceBasePrice property.
    `void` | `setReimbursementBasePrice(BigDecimal value)` Sets the value of the reimbursementBasePrice property.
    `void` | `setReimbursementCriterion(ReimbursementCriterionType value)` Sets the value of the reimbursementCriterion property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
    `void` | `setTemporary(boolean value)` Sets the value of the temporary property.

    - ### Methods inherited from class be.fgov.ehealth.dics.core.v3.reimbursement.submit.ReimbursementContextKeyType

      `getCode, getCodeType, getDeliveryEnvironment, getLegalReferencePath, setCode, setCodeType, setDeliveryEnvironment, setLegalReferencePath`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultReimbursementContextType

          public ConsultReimbursementContextType()

  - ### Method Detail

    - #### getMultiple

          public String getMultiple()

      Gets the value of the multiple property.
      Returns:
        possible object is `String`

    - #### setMultiple

          public void setMultiple(String value)

      Sets the value of the multiple property.
      Parameters:
        `value` - allowed object is `String`

    - #### isTemporary

          public boolean isTemporary()

      Gets the value of the temporary property.

    - #### setTemporary

          public void setTemporary(boolean value)

      Sets the value of the temporary property.

    - #### isReference

          public boolean isReference()

      Gets the value of the reference property.

    - #### setReference

          public void setReference(boolean value)

      Sets the value of the reference property.

    - #### isFlatRateSystem

          public boolean isFlatRateSystem()

      Gets the value of the flatRateSystem property.

    - #### setFlatRateSystem

          public void setFlatRateSystem(boolean value)

      Sets the value of the flatRateSystem property.

    - #### getReimbursementBasePrice

          public BigDecimal getReimbursementBasePrice()

      Gets the value of the reimbursementBasePrice property.
      Returns:
        possible object is `BigDecimal`

    - #### setReimbursementBasePrice

          public void setReimbursementBasePrice(BigDecimal value)

      Sets the value of the reimbursementBasePrice property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getReferenceBasePrice

          public BigDecimal getReferenceBasePrice()

      Gets the value of the referenceBasePrice property.
      Returns:
        possible object is `BigDecimal`

    - #### setReferenceBasePrice

          public void setReferenceBasePrice(BigDecimal value)

      Sets the value of the referenceBasePrice property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getPricingRange

          public RangeType getPricingRange()

      Gets the value of the pricingRange property.
      Returns:
        possible object is `RangeType`

    - #### setPricingRange

          public void setPricingRange(RangeType value)

      Sets the value of the pricingRange property.
      Parameters:
        `value` - allowed object is `RangeType`

    - #### getReimbursementCriterion

          public ReimbursementCriterionType getReimbursementCriterion()

      Gets the value of the reimbursementCriterion property.
      Returns:
        possible object is `ReimbursementCriterionType`

    - #### setReimbursementCriterion

          public void setReimbursementCriterion(ReimbursementCriterionType value)

      Sets the value of the reimbursementCriterion property.
      Parameters:
        `value` - allowed object is `ReimbursementCriterionType`

    - #### getCopayments

          public List<ConsultCopaymentType> getCopayments()

      Gets the value of the copayments property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the copayments property.

      For example, to add a new item, do as follows:

              getCopayments().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultCopaymentType`

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.